using System;
using System.Web;
using Vevo.Domain.Payments;
using Vevo.WebAppLib;
using PayPal.Payments.DataObjects;
using com.paypal.sdk.profiles;
using com.paypal.sdk.services;
using com.paypal.sdk.util;

namespace Vevo.Domain.Payments.PayPalProExpress
{
    /// <summary>
    /// Summary description for PayPalProExpressUtilities
    /// </summary>
    public class PayPalProExpressUtilities
    {
        private IAPIProfile GetProfile()
        {
            IAPIProfile profile = ProfileFactory.createSignatureAPIProfile();
            profile.APIUsername = DataAccessContext.Configurations.GetValue( "PayPalProExpressUser" );
            profile.APIPassword = DataAccessContext.Configurations.GetValue( "PayPalProExpressPassword" );
            profile.Environment = DataAccessContext.Configurations.GetValue( "PayPalProExpressEnvironment" );

            profile.Subject = string.Empty;
            profile.APISignature = DataAccessContext.Configurations.GetValue( "PayPalProExpressSignature" );
            return profile;
        }


        public static PayPalProExpressUtilities Instance
        {
            get
            {
                if (HttpContext.Current.Session["PayPalProExpressSession"] == null)
                    HttpContext.Current.Session["PayPalProExpressSession"] = new PayPalProExpressUtilities();

                return (PayPalProExpressUtilities) HttpContext.Current.Session["PayPalProExpressSession"];
            }
        }

        public string UrlSetExpressCheckout( bool isMobile )
        {
            string cmdValue = String.Empty;

            if (isMobile)
            {
                cmdValue = "_express-checkout-mobile";
            }
            else
            {
                cmdValue = "_express-checkout";
            }

            if (DataAccessContext.Configurations.GetValue( "PayPalProExpressEnvironment" ) == "sandbox")
                return "https://www.sandbox.paypal.com/webscr?cmd=" + cmdValue;
            else
                return "https://www.paypal.com/webscr?cmd=" + cmdValue;
        }

        public NVPCallerServices PayPalAPIInitialize()
        {
            NVPCallerServices caller = new NVPCallerServices();
            caller.APIProfile = GetProfile();
            return caller;
        }

        public static string GetErrorMessage( NVPCodec decoder )
        {
            return "ErrorCode=" + decoder["L_ERRORCODE0"] + "&" +
                "Desc=" + decoder["L_SHORTMESSAGE0"] + "&" +
                "Desc2=" + decoder["L_LONGMESSAGE0"];
        }

        public static string PaymentType
        {
            get { return "Sale"; }
        }

    }
}