using System;
using System.Collections.Generic;
using System.Text;
using Vevo.Domain.Base;
using Vevo.Domain.Payments;

namespace Vevo.Domain.DataInterfaces
{
    public interface IPaymentOptionRepository
    {
        PaymentOption Update( PaymentOption paymentMethod );
        PaymentOption GetOne( Culture culture, string name );
        IList<ILocale> GetLocales( string name );
        IList<PaymentOption> GetAll( Culture culture, BoolFilter isEnabled );
        IList<PaymentOption> GetShownPaymentList( Culture culture, BoolFilter isEnabled );
        IList<PaymentOption> GetButtonList( Culture culture, BoolFilter isEnabled );

        PaymentOptionStore CreatePaymentOptionStore( PaymentOptionStore poStore );
        void DeletePaymentOptionStore( string storeID );
        void DeletePaymentOptionStoreByName( string name );
        IList<PaymentOptionStore> GetAllPaymentOptionStore();
        IList<PaymentOptionStore> GetAllPaymentOptionStoreByName( string name );
    }
}
