using System;
using System.Collections.Generic;
using System.Text;

using Vevo.Domain.Discounts;

namespace Vevo.Domain.Users
{
    public class NullWholesaleStatus : WholesaleStatus
    {
        private static NullWholesaleStatus _instance = new NullWholesaleStatus();


        public NullWholesaleStatus()
            : base( 0 )
        {
        }


        public static WholesaleStatus Instance
        {
            get
            {
                return _instance;
            }
        }

        public override bool IsNull
        {
            get { return true; }
        }

        public override decimal GetPrice(
            decimal price,
            decimal wholesalePrice,
            decimal wholesalePrice2,
            decimal wholesalePrice3 )
        {
            return price;
        }
    }
}
