﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Web.Security;
using System.ServiceModel;
using System.Data;
using Vevo.Domain;
using Vevo.Shared.DataAccess;

namespace Vevo.WebServices.Security
{
    public class SecurityServices : ISecurityService
    {
        private bool _isByPass = false;

        private bool IsAuthenticateUser( string userName )
        {
            if (Roles.IsUserInRole( userName, "Administrators" ))
                return true;
            else
                return false;
        }

        public string Login( string UserName, string Password )
        {
            try
            {
                if (!KeyUtilities.IsDeluxeLicense( DataAccessHelper.DomainRegistrationkey, DataAccessHelper.DomainName ))
                    return String.Empty;

                if (_isByPass == false)
                {
                    bool success = IsAuthenticateUser( UserName )
                        && Membership.ValidateUser( UserName, Password )
                        && (DataAccessContext.Configurations.GetValue( "WebServiceAdminUser" ).ToLower() == UserName.ToLower());
                    if (success == false) return String.Empty;
                }

                string ticket = WcfSessionPool.CreateSession();
                return ticket;
            }
            catch (Exception)
            {
                return String.Empty;
            }
        }

        public void Logout( string Ticket )
        {
            WcfSessionPool.DeleteSession( Ticket );
        }

        public SecurityServices( bool byPass )
        {
            _isByPass = byPass;
        }

        public SecurityServices()
        {
        }
    }
}
